/* ========================================================================= */
/* DATOS =================================================================== */
/* ========================================================================= */

var game = { name: "Ecosistemas canarios", picture: "images/games/ecosistemas.png", color: "game-ecosistemas", resHeight: true  };

var categories = [
	{ name: 'Cardonal tabaibal', score: 1 }, 					// categoriesId[0]
	{ name: 'Bosque termófilo', score: 1 }, 				// categoriesId[1]
	{ name: 'Monteverde', score: 1 }, 				// categoriesId[2]
	{ name: 'Pinar y alta montaña', score: 3 }, 					// categoriesId[3]
	{ name: 'Piso marino', score: 3 }, 			// categoriesId[4]
	{ name: 'Ecosistemas azonales', score: 4 }, 	// categoriesId[5]
	{ name: 'Crea tu ecosistema', score: 5, description: '<span class="span-description">Une mínimo 3 cartas para crear tu propio ecosistema. Recuerda que contenga una carta de clima, una de flora y una de fauna y sobre todo que puedan convivir de forma natural.</span>' }, 					// categoriesId[6]
	{ name: 'Fauna y pisos de vegetación', score: 5, description: "<span class='span-description'>Escribe el piso de vegetación donde viven las especies seleccionadas. Distingue entre:<br/><span> <b>Cardonal Tabaibal</b>, <b>Bosque termófilo</b>, <b>Monteverde</b>, <b>Pinar</b>, <b>Alta Montaña</b> o <b>Piso marino</b>" } 				// categoriesId[7]
];

// Añadimos el campo special edit a la categoría Diariamente
_.extend(categories[7], { special: {edit: true} });

var categoriesId = [];

// Asignamos un id único a cada categoría y lo guardamos
_.each(categories, function (category) {
	var id = _.uniqueId('category_');
	categoriesId.push(id);
	_.extend(category, {_id: id});
});

var items = [
	// { name: '', picture: 'images/items/.png', color: '', categoriesId: [  ], resHeight: false },

	{ name: 'Mar de nubes', picture: 'images/items/mar-nubes.png', color: 'light-orange', categoriesId: [ categoriesId[1], categoriesId[2] ], resHeight: false },	// itemsId[0]
	{ name: 'Paloma Rabiche', picture: 'images/items/paloma-rabiche.png', color: 'light-green', categoriesId: [ categoriesId[2],categoriesId[7] ], resHeight: false },	// itemsId[1]
	{ name: 'Pinzón azul', picture: 'images/items/pinzon-azul.png', color: 'light-yellow', categoriesId: [ categoriesId[3],categoriesId[7] ], resHeight: false },	// itemsId[2]
	{ name: 'Tortuga verde', picture: 'images/items/tortuga-verde.png', color: 'light-pink', categoriesId: [ categoriesId[4],categoriesId[7] ], resHeight: false },	// itemsId[3]
	{ name: 'Algas', picture: 'images/items/algas.png', color: 'light-cyan', categoriesId: [ categoriesId[4] ], resHeight: false },	// itemsId[4]
	{ name: 'Helecho', picture: 'images/items/helecho.png', color: 'light-orange', categoriesId: [ categoriesId[2] ], resHeight: true },	// itemsId[5]
	{ name: 'Erizo', picture: 'images/items/erizo.png', color: 'dark-orange', categoriesId: [ categoriesId[4],categoriesId[7] ], resHeight: false },	// itemsId[6]
	{ name: 'Salina', picture: 'images/items/salina.png', color: 'light-green', categoriesId: [ categoriesId[5] ], resHeight: false },	// itemsId[7]
	{ name: 'Dunas', picture: 'images/items/dunas.png', color: 'normal-pink', categoriesId: [ categoriesId[5] ], resHeight: false },	// itemsId[8]
	{ name: 'Malpaís', picture: 'images/items/malpais.png', color: 'normal-orange', categoriesId: [ categoriesId[5] ], resHeight: false },	// itemsId[9]
	{ name: 'Acantilado', picture: 'images/items/acantilado.png', color: 'normal-green', categoriesId: [ categoriesId[5] ], resHeight: false },	// itemsId[10]
	{ name: 'Drago', picture: 'images/items/drago.png', color: 'light-purple', categoriesId: [ categoriesId[1] ], resHeight: false },	// itemsId[11]
	{ name: 'Palmera', picture: 'images/items/palmera-canaria.png', color: 'normal-cyan', categoriesId: [ categoriesId[1] ], resHeight: true },	// itemsId[12]
	{ name: 'Sabina', picture: 'images/items/sabina.png', color: 'light-yellow', categoriesId: [ categoriesId[1] ], resHeight: false },	// itemsId[13]
	{ name: 'Cardón', picture: 'images/items/cardon.png', color: 'light-pink', categoriesId: [ categoriesId[0] ], resHeight: true },	// itemsId[14]
	{ name: 'Tabaiba', picture: 'images/items/tabaiba-dulce.png', color: 'light-cyan', categoriesId: [ categoriesId[0] ], resHeight: false },	// itemsId[15]
	{ name: 'Tunera', picture: 'images/items/tunera.png', color: 'normal-pink', categoriesId: [ categoriesId[0] ], resHeight: false },	// itemsId[16]
	{ name: 'Soleado', picture: 'images/items/soleado.png', color: 'light-orange', categoriesId: [ categoriesId[0], categoriesId[1] ], resHeight: false },	// itemsId[17]
	{ name: 'Musaraña', picture: 'images/items/musarana.png', color: 'dark-green', categoriesId: [ categoriesId[0],categoriesId[7] ], resHeight: false },	// itemsId[18]
	{ name: 'Cernícalo', picture: 'images/items/cernicalo.png', color: 'normal-cyan', categoriesId: [ categoriesId[0],categoriesId[7] ], resHeight: false },	// itemsId[19]
	{ name: 'Lisa', picture: 'images/items/lisa.png', color: 'normal-pink', categoriesId: [ categoriesId[1],categoriesId[7] ], resHeight: false },	// itemsId[20]
	{ name: 'Cuervo', picture: 'images/items/cuervo.png', color: 'light-yellow', categoriesId: [ categoriesId[1],categoriesId[7] ], resHeight: false },	// itemsId[21]
	{ name: 'Murciélago', picture: 'images/items/murcielago.png', color: 'dark-orange', categoriesId: [ categoriesId[2],categoriesId[7] ], resHeight: false },	// itemsId[22]
	{ name: 'Tilo', picture: 'images/items/tilo.png', color: 'dark-green', categoriesId: [ categoriesId[2] ], resHeight: false },	// itemsId[23]
	{ name: 'Lluvioso', picture: 'images/items/lluvia.png', color: 'light-yellow', categoriesId: [ categoriesId[2] ], resHeight: true },	// itemsId[24]
	{ name: 'Pino', picture: 'images/items/pino.png', color: 'light-pink', categoriesId: [ categoriesId[3] ], resHeight: true },	// itemsId[25]
	{ name: 'Nieve', picture: 'images/items/nieve.png', color: 'normal-purple', categoriesId: [ categoriesId[3] ], resHeight: false },	// itemsId[26]
	{ name: 'Marejada', picture: 'images/items/marejada.png', color: 'normal-green', categoriesId: [ categoriesId[4] ], resHeight: false },	// itemsId[27]
	{ name: 'Lagarto moteado', picture: 'images/items/lagarto-moteado.png', color: 'light-yellow', categoriesId: [ categoriesId[3],categoriesId[7] ], resHeight: false },	// itemsId[28]
	{ name: 'Calderón', picture: 'images/items/calderon.png', color: 'normal-orange', categoriesId: [ categoriesId[4],categoriesId[7] ], resHeight: false },	// itemsId[29]
	{ name: 'Laurel', picture: 'images/items/laurel.png', color: 'normal-pink', categoriesId: [ categoriesId[2] ], resHeight: true },	// itemsId[30]
	{ name: 'Violeta del Teide', picture: 'images/items/violeta-teide.png', color: 'light-yellow', categoriesId: [ categoriesId[3] ], resHeight: true },	// itemsId[31]
	{ name: 'Retama', picture: 'images/items/retama.png', color: 'light-green', categoriesId: [ categoriesId[3] ], resHeight: true },	// itemsId[32]
	{ name: 'Pico picapinos', picture: 'images/items/pico-picapinos.png', color: 'light-cyan', categoriesId: [ categoriesId[3],categoriesId[7] ], resHeight: true },	// itemsId[33]
];

// Añadimos el campo especial edit a todos los items editables
_.each([18, 19, 20, 21, 1, 22, 33, 2, 28, 3, 6, 29], function (pos) {
	_.extend(items[pos], { special: {edit: []} });
});

// Añadimos a los campos special edit el valor(es) correspondiente(s) de cada item
_.each([18, 19], function (pos) {
	items[pos].special.edit.push('cardonal tabaibal');
});
_.each([20, 21], function (pos) {
	items[pos].special.edit.push('bosque termófilo');
});
_.each([1, 22, 21], function (pos) {
	items[pos].special.edit.push('monteverde');
});
_.each([33, 2], function (pos) {
	items[pos].special.edit.push('pinar');
});
_.each([2, 28, 22, 19], function (pos) {
	items[pos].special.edit.push('alta montaña');
});
_.each([3, 6, 29], function (pos) {
	items[pos].special.edit.push('piso marino');
});

var itemsId = [];

// Asignamos un id único a cada item
_.each(items, function (item) {
	var id = _.uniqueId('item_');
	itemsId.push(id);
	_.extend(item, {_id: id});
});

// Añadimos el campo special group a la categoría "Crea tu ecosistema"
_.extend(categories[6], {
	special: {
		folder: [
			{ name: 'Pinar y Alta Montaña', content: [itemsId[31], itemsId[32], itemsId[25], itemsId[2], itemsId[26], itemsId[28], itemsId[33]] },
			{ name: 'Piso marino', content: [itemsId[4], itemsId[3], itemsId[6], itemsId[27], itemsId[28], itemsId[29]] },
			{ name: 'Montevederde', content: [itemsId[1], itemsId[0], itemsId[22], itemsId[23], itemsId[28], itemsId[30], itemsId[24], itemsId[5]] },
			{ name: 'Bosque termófilo', content: [itemsId[11], itemsId[12], itemsId[13], itemsId[21], itemsId[28], itemsId[17], itemsId[0]] },
			{ name: 'Cardonal Tabaibal', content: [itemsId[14], itemsId[15], itemsId[16], itemsId[17], itemsId[28], itemsId[18], itemsId[19]] }
		],
		minGroupSize: 3
	}
});

var boxes = [
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] },
	{ categoryId: '', items: [], groups: [], folders: [] }
];

// Asignamos un id único y un index a cada caja
_.each(boxes, function (box, index) {
	_.extend(box, {_id: _.uniqueId('box_'), index: index});
});
